*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Raleway', sans-serif;
    background: linear-gradient(90deg, #141E30 0%, #243B55 100%);
    min-height: 100vh;
}

.contenedor {
    position: relative;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.wave {
    position: relative;
    top: 0;
    right: 0;
    width: 60%;
}

.contenedor-textos {
    flex-basis: 50%;
    padding-left: 40px;
    overflow: hidden;
    color: #FFF;
}

.titulo {
    font-size: 50px;
}

.subtitulo {
    font-size: 30px;
    font-weight: 500;
    margin: 20px 0;
}

.cta {
    width: 150px;
    padding: 15px 0;
    display: inline-block;
    text-align: center;
    background: #68E1FD;
    border-radius: 4px;
    text-decoration: none;
    color: #141E30;
    font-weight: bold;
}

.contenedor-imagen {
    flex-basis: 50%;
    position: relative;
    z-index: 1;
    text-align: center;
    overflow: hidden;
}

.img {
    width: 95%;
    animation: ilustrationAnimate ease-in 1s infinite alternate;
}

@keyframes ilustrationAnimate{
    0% {
        transform: scale(1);
    }100%{
        transform: scale(1.04);
    }
}

@media screen and (max-width: 800px){
    .contenedor{
        flex-direction: column-reverse;
    }
    .wave {
        width: 80%;
    }
    .contenedor-textos{
        display: flex;
        flex-direction: column;
        padding-left: 0;
        justify-content: center;
        align-items: center;
        flex-basis: 40%;
        text-align: center;
    }
    .titulo {
        font-size: 40px;
    }
    .subtitulo{
        font-size: 20px;
    }
    .contenedor-imagen{
        flex-basis: 60%;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .imagen{
        height: 90%;
    }
}

@media screen and (max-width: 500px) {
    .wave{
        width: auto;
        height: 48%;
    }
    .contenedor-textos{
        flex-basis: 40%;
        justify-content: flex-start;
    }
    .titulo {
        font-size: 35px;
    }
}